Bug 168831 - Review Request: perl-Parse-CPAN-Packages
Review Request: perl-Parse-CPAN-Packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
http://search.cpan.org/dist/Parse-CPA...
:
: 1129310 (view as bug list)
Depends On: 168830
Blocks: FE-ACCEPT 168838
  Show dependency treegraph
 
Reported: 2005-09-20 11:23 EDT by Steven Pritchard
Modified: 2015-01-02 19:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 09:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-20 11:23:57 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Parse-CPAN-Packages/perl-Parse-CPAN-Packages.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Parse-CPAN-Packages-2.25-1.src.rpm
Description:
The Comprehensive Perl Archive Network (CPAN) is a very useful
collection of Perl code. It has several indices of the files that it
hosts, including a file named "02packages.details.txt.gz" in the
"modules" directory. This file contains lots of useful information and
this module provides a simple interface to the data contained within.
Comment 1 Orion Poplawski 2005-10-11 18:28:30 EDT
- rpmlint is silent
- can't test in mock, but builds on my minimal system
- License is good
- md5sums match

Fix:

- The perl module Requires: lines are not necessary, rpmbuild does that
automatically.

Approved with the above change.
Comment 2 Steven Pritchard 2006-02-02 09:10:16 EST
Change made in CVS.
Comment 3 Fedora Update System 2012-09-20 02:02:20 EDT
perl-Parse-CPAN-Packages-2.33-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Parse-CPAN-Packages-2.33-8.el6
Comment 4 Fedora Update System 2012-10-06 17:25:22 EDT
perl-Parse-CPAN-Packages-2.33-8.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 5 Petr Šabata 2014-08-12 11:06:48 EDT
*** Bug 1129310 has been marked as a duplicate of this bug. ***
Comment 6 Luigi Iotti 2014-08-15 18:31:09 EDT
May I ask if Steve is going to maintain this package even in Epel7.
I built the current Epel6 src rpm (perl-Parse-CPAN-Packages-2.33-8.el6.src.rpm) in 7 and everything seems to work.
Comment 7 Petr Šabata 2014-12-16 05:43:36 EST
(In reply to Luigi Iotti from comment #6)
> May I ask if Steve is going to maintain this package even in Epel7.
> I built the current Epel6 src rpm
> (perl-Parse-CPAN-Packages-2.33-8.el6.src.rpm) in 7 and everything seems to
> work.

Nope but I am :)
Comment 8 Petr Šabata 2014-12-16 05:49:28 EST
Package Change Request
======================
Package Name: perl-Parse-CPAN-Packages
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 9 Jon Ciesla 2014-12-16 08:08:43 EST
Git done (by process-git-requests).
Comment 10 Petr Šabata 2014-12-16 10:36:12 EST
Thank you.
Comment 11 Fedora Update System 2014-12-16 10:57:51 EST
perl-Parse-CPAN-Packages-2.38-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Parse-CPAN-Packages-2.38-3.el7
Comment 12 Fedora Update System 2015-01-02 19:12:19 EST
perl-Parse-CPAN-Packages-2.38-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.